Bloquear la actualización de determinados paquetes en openSUSE

Los bloqueos sirven para evitar cambios en los paquetes del sistema, evitando que se puedan actualizar/desinstalar en el caso de estar instalados, o en el caso de que no estén todavía presentes en el sistema que puedan llegar a instalarse. Esto en general es bastante útil, cuando por cualquiera motivo, no quieres que se modifique la versión de un programa al actualizar el sistema. En openSUSE lo podemos hacer desde YAST  o mediante Zypper en linea de comandos.

bloquear un paquete con YAST

Tan fácil como abrir YAST > Instalar/Desinstalar Software y buscar el paquete a bloquear. Nos situamos sobre el, y con el menú contextual elegimos bloquear o desbloquear según el caso

bloquear un paquete con zypper

  • Para añadir un bloqueo utilizamos zypper al seguido del nombre del paquete.

zypper al smplayer

bloquea el programa smplayer

  • Para eliminar un bloqueo utilizamos zypper rl seguido del nombre del paquete.

zypper rl smplayer

Desbloquea el programa smplayer

  • Y por último si queremos enumerar los bloqueos podemos utilizar:

zypper ll

2 thoughts on “Bloquear la actualización de determinados paquetes en openSUSE”

  1. KsauKao says:

    Muy interesante.
    Gracias por el articulo y por compartirlo.
    Saludos

  2. tannhausser says:

    Gracias a ti por comentar!
    Un saludo colega!

Deja un comentario